Monitoring - Retrieve Widgets For Entity
检索仪表板和实体的小组件。 注意:这仅支持检索性能控制面板的小组件。
GET http://<Servername>/OperationsManager/monitoring/dashboard/{dashboardId}/entity/{entityId}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
dashboard
|
path | True |
string |
指定控制面板 ID |
|
entity
|
path | True |
string |
指定实体 ID |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。已成功检索仪表板和实体的小组件。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
示例
RetrieveWidgets
示例请求
GET http://<Servername>/OperationsManager/monitoring/dashboard/925b3d43-d716-d56d-84ba-55a2467a6e7d/entity/b39822ed-0efd-b8e0-9ac4-968b5de725ab
示例响应
[
{
"id": "b39822ed-0efd-b8e0-9ac4-968b5de725ab",
"name": "performance windows",
"description": null,
"mpId": "dcfdedc4-68bd-42b4-1e9a-ba94b1577732",
"componentType": "HtmlPerformanceWidget",
"config": "{\"widgetDisplay\":{\"col\":1,\"row\":1,\"sizex\":6,\"sizey\":4,\"selectedLegends\":[\"Target\",\"Path\",\"LastValue\"],\"visualizeObjectsByPerformance\":false},\"widgetParameters\":{\"scope\":{\"scopeSelection\":[{\"id\":\"6f7e3306-beeb-2996-3795-7c1eafb925b8\",\"displayName\":\"All Windows Computers\",\"className\":\"All Windows Computers\",\"path\":null,\"fullName\":\"Microsoft.SystemCenter.AllComputersGroup\",\"objectType\":-1}]},\"criteria\":{\"timeRange\":{\"timeValue\":24,\"timeUnit\":\"Hours\"},\"performanceCounters\":[]}},\"widgetRefreshInterval\":5}"
}
]
定义
ComponentResponse
| 名称 | 类型 | 说明 |
|---|---|---|
| componentType |
string |
组件类型 |
| config |
string |
配置 |
| description |
string |
组件描述 |
| id |
string |
身份证件 |
| mpId |
string |
组件 MP ID |
| name |
string |
组件名称 |